#!/usr/bin/make -f

PY3VERS := $(shell py3versions -r)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	set -ex; \
	for py in $(PY3VERS); do \
		$$py setup.py build; \
	done

override_dh_auto_install:
	set -ex; \
	for py in $(PY3VERS); do \
		$$py setup.py install --skip-build --no-compile \
		                      --root debian/python3-d2to1 \
		                      --install-layout=deb; \
	done

override_dh_auto_clean:
	rm -rf build
	rm -rf d2to1.egg-info
	find . \( -name '*.pyc' -o -name __pycache__ \) -delete
